Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

ON the Gantt chart, when filtering target versions, the combo showing the possible target versions to be filtered shows all versions. 

This is annoying if you have lots of closed versions. It would be nice if it showed only opened versions.

Related issues:

Related to Redmine - Feature #11968: Use Watcher List For Target Versions Whe... New

Related to Redmine - Feature #23265: Group versions by status in version cust... Closed

Has duplicate Redmine - Feature #21360: Target version in Issues view Closed

Has duplicate Redmine - Feature #17615: FIlter by target version (active) Closed

Associated revisions

Revision 15601 - 2016-07-02 11:44 - Jean-Philippe Lang

Group versions by status in issue filters (#10412).

History

#1 - 2012-03-09 15:55 - Etienne Massip

- Category changed from Gantt to Issues

Not specific to Gantt.

#2 - 2012-04-24 13:35 - Cassiano Monteiro

True... It happens on any target version filter... It would be much better if the closed versions were not shown, or if there was any way to filter that on

the combo... Having lots of versions (and shared versions between projects) makes it very difficult to find the version you want to filter.

#3 - 2015-03-11 14:53 - Adam Balgach

Has anyone made any updates with this?  It gets very annoying in the dropdown list when you do rapid releases.  Thanks.

#4 - 2015-04-09 22:23 - Matthias R

We have the same problem. The target version combobox contains many obsolete Versions.

In my opinion it doesn't make sense to assign tickets to closed versions.

#5 - 2015-09-09 23:59 - Y Z

Any idea on date when the feature is going to be added?

#6 - 2015-11-17 08:46 - Sebastian Paluch

I completely disagree. It is very important to have ability to find issues from closed versions too. So, showing all versions in filter is a must. Number of

shown versions is already limited when editing issues, in the drop down list.

#7 - 2015-11-17 12:42 - Robert Korulczyk

- File a6765456b5eaf0783903b79a1101.png added

Versions should be grouped by status: open first, then blocked, and closed at the end. Then we have all versions, but the most frequently used are on

top, not at the end like now.

Here you can see how it looks on WordPress Trac:
#8 - 2015-12-27 08:26 - Toshi MARUYAMA

- Has duplicate Feature #21360: Target version in Issues view added

#9 - 2015-12-27 14:15 - Alessandro Zucchi

+1

#10 - 2016-01-05 20:07 - Joel SCHAAL

+1

Robert Korulczyk: your solution would be perfect for us.

It seems an easy change, and it would at least reduce the confusion when filtering by target version.

On another hand, it would be nice to add a checkbox in the Version edit page saying "Exclude from search" or maybe "Exclude from filters".

That way, the combo could stay small and users needing all version (like Sebastian Paluch) would not be impacted.

#11 - 2016-01-11 22:07 - Joel SCHAAL

This seems like an old topic: #3814, #2844, #1829 and #1245 mention about it.

#12 - 2016-01-19 16:04 - Matthias Puschbeck

+1 for Robert Korulczyk

That would be one really helpful feature, we wonder how else to proper assing sprints as a target version with a clutterd dropdown box?

#13 - 2016-05-02 17:53 - Hide MATSUTANI

+1 Robert's idea is good!

#14 - 2016-05-19 08:56 - Takenori TAKAKI

- File grouped_version_filter_trunk_r15418.patch added

+1 for Robert Korulczyk's idea!

I made the patch (compatible with latest trunk 15418).

this patch allows user to display the version filter grouped by status:, on 'Gantt chart', 'Calendar' and 'Issues list'.

I would be very happy if I could see the feature in Redmine 3.3.0 or 3.4.0.

#15 - 2016-07-01 00:35 - Marius BĂLTEANU

- File target_version_group_by_status.png added

Takenori TAKAKI wrote:

I made the patch (compatible with latest trunk 15418).

this patch allows user to display the version filter grouped by status:, on 'Gantt chart', 'Calendar' and 'Issues list'.
I would be very happy if I could see the feature in Redmine 3.3.0 or 3.4.0.

 I tested this patch on Redmine 3.3.0 and looks great.

 target_version_group_by_status.png 

#16 - 2016-07-02 11:59 - Jean-Philippe Lang

- Subject changed from Target version filter shoud not show closed versions to Target version filter shoud group versions by status

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

Change done in r15601. Thanks for the patch. I've made some changes in order to avoid doing 3 queries (one for each status) and a bit of cleanup in

javascript.

#17 - 2016-08-05 12:11 - Toshi MARUYAMA

- Related to Feature #23265: Group versions by status in version custom field filter added

#18 - 2016-09-12 09:54 - Toshi MARUYAMA

- Has duplicate Feature #17615: FIlter by target version (active) added

#19 - 2016-09-12 09:54 - Toshi MARUYAMA

- Category changed from Issues to Issues filter

#20 - 2016-09-15 16:29 - Robert Schneider

The request is already closed, though I'd like to ask if it is possible to also have another entry for All open versions? Could this be added as well?

#21 - 2016-09-19 06:55 - Toshi MARUYAMA

Robert Schneider wrote:

The request is already closed, though I'd like to ask if it is possible to also have another entry for All open versions? Could this be added as well?

 Please create new issue.

#22 - 2016-09-19 09:21 - Robert Schneider

Toshi MARUYAMA wrote:

Please create new issue.

 Here it is: #23855

#23 - 2017-01-19 23:45 - Tobias Fischer

Why would you only implement this for the ticket list and not for ALL version fields? (e.g. ticket target version select, custom version fields, etc.) ?

#24 - 2017-01-20 06:13 - Go MAEDA

Tobias Fischer wrote:

Why would you only implement this for the ticket list and not for ALL version fields? (e.g. ticket target version select, custom version fields, etc.) ?

 That is another request. Could you create a new issue?

#25 - 2017-02-11 11:39 - Toshi MARUYAMA

Tobias Fischer wrote:

Why would you only implement this for the ticket list and not for ALL version fields? (e.g. ticket target version select, custom version fields, etc.) ?

 #23265 covers custom field.
I think "ticket target version select" should show only opened version.
